# Class ELParser

java.lang.Object
org.apache.jasper.compiler.ELParser

public class ELParser extends Object
This class implements a parser for EL expressions. It takes strings of the form xxx${..}yyy${..}zzz etc, and turn it into a ELNode.Nodes. Currently, it only handles text outside ${..} and functions in ${ ..}.

Author:
  Kin-man Chung

## Constructor Summary

Constructors
Constructor
Description
`ELParser(String expression, boolean isDeferredSyntaxAllowedAsLiteral)`

## Method Summary

Modifier and Type
Method
Description
`char`
`getType()`
`static org.apache.jasper.compiler.ELNode.Nodes`
`parse(String expression, boolean isDeferredSyntaxAllowedAsLiteral)`
Parse an EL expression

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ELParser

public ELParser(String expression, boolean isDeferredSyntaxAllowedAsLiteral)

## Method Details

### parse

public static org.apache.jasper.compiler.ELNode.Nodes parse(String expression, boolean isDeferredSyntaxAllowedAsLiteral)
Parse an EL expression

Parameters:
  `expression` - The input expression string of the form Char* ('${' Char* '}')* Char*
  `isDeferredSyntaxAllowedAsLiteral` - Are deferred expressions treated as literals?
Returns:
  Parsed EL expression in ELNode.Nodes

### getType

public char getType()